//
//  RAOpenQuickerTest.m
//  OpenQuicker
//
//  Created by Quentin Carnicelli on 11/20/04.
//  Copyright 2004 Rogue Amoeba Software, LLC. All rights reserved.
//

#import "RAOpenQuickerTest.h"

#import "RASourceFileFinder.h"
#import "RAOpenQuickerPanel.h"
#import "RAOpenQuickerMultiplePanel.h"

@implementation RAOpenQuickerTest

- (void)applicationDidFinishLaunching:(NSNotification *)notification
{
	NSArray* paths;
	RASourceFileFinder* fileFinder;
	NSString* search;
	NSArray* found;

	paths = [[[NSUserDefaults standardUserDefaults] persistentDomainForName: @"com.apple.Xcode"] objectForKey: @"OpenQuicklyPaths"];

	fileFinder = [[RASourceFileFinder alloc] init];
	[fileFinder addSearchPaths: paths toDepth: 1];
				
	search = [[RAOpenQuickerPanel sharedPanel] runModalWithText: @"NSAttributedString.h" fileFinder: fileFinder];

	NSLog( @"searching for: %@", search );

	if( search )
	{
		found = [fileFinder find: search];

		NSLog( @"found: %@", found );

		if( found )
		{
			found = [[RAOpenQuickerMultiplePanel sharedPanel] runModalForFiles: found];
			NSLog( @"selected: %@", found );
			
		}
	}

	[fileFinder release];

	[NSApp terminate: self];
}


@end

int main(int argc, const char *argv[])
{
	return NSApplicationMain(argc, argv);
}
